Subject: Re: [bug#40468] [PATCH 3/3] gnu: Add shiru-lv2.

From: Alexandros Theodotou <[email-masked]>
Date: Tue, 07 Apr 2020 20:09:31 +0100

Hi Leo,

> package/inherit is for special cases related to grafting and
> replacement
> packages. [0]

Thank you, I initially thought it was just a shorthand.

> Is the idea that there is some build
> complication common to the LV2 plugins that we don't want to copy
> around? Maybe we could make a build system for them.
>
> Does it work to inherit the custom install phase from dragonfly-
> reverb?
> It seems like the install-file procedures would not apply here.

Plugins that use the DISTRHO plugin framework (
https://github.com/DISTRHO/DPF) use the same build/install procedure,
unless the author makes changes to the Makefiles (like in the case of
the zam-plugins package). Dragonfly reverb and shiru plugins both use
DPF as-is, so the build/install procedures are exactly the same - built
plugins will be produced inside "bin" as binaries, lv2 plugins and vst
plugins.

There are more DPF-based plugins I plan to package that leave the the
DPF Makefiles as-is so I thought inheriting from dragonfly-reverb would
be a nice way to do it.

Thanks,
Alex

On Tue, 2020-04-07 at 14:25 -0400, Leo Famulari wrote:
> On Mon, Apr 06, 2020 at 10:28:35PM +0100, Alexandros Theodotou wrote:
> > * gnu/packages/music.scm (shiru-lv2): New variable.
> 
> Thanks!
> 
> > +(define-public shiru-lv2
> > +  (let ((commit "08853f99140012234649e67e5647906fda74f6cc")
> > +        (revision "1"))
> > +    (package/inherit dragonfly-reverb
> 
> If inheriting, we should use the regular inherit procedure, like
> this:
> 
> (package
>   (inherit dragonfly-reverb)
>   ...)
> 
> package/inherit is for special cases related to grafting and
> replacement
> packages. [0]
> 
> Anyways, it looks like the inherited fields are build-system,
> native-inputs, and arguments. Is the idea that there is some build
> complication common to the LV2 plugins that we don't want to copy
> around? Maybe we could make a build system for them.
> 
> Does it work to inherit the custom install phase from dragonfly-
> reverb?
> It seems like the install-file procedures would not apply here.
> 
> What do you think? Sorry if I've missed something.
> 
> [0]
> https://guix.gnu.org/manual/en/html_node/Security-Updates.html